{ config, pkgs, lib, ... }:

{

systemd.services.Sovran_SystemsOS_Light_Updater = {
	  
	  script = ''

	  flatpak update

	  pushd /etc/nixos

	  nix flake update

	  nixos-rebuild switch   
	  
	  popd
	   
	  '';

	  unitConfig = {
	  	Type = "simple";
	  };
	   
	  serviceConfig = {
	    RemainAfterExit = "no";
	    Type = "oneshot";
	  };

	  wantedBy = [ "multi-user.target" ];
	
	};

}